Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class SmartCache.ValueWrapper

    java.lang.Object
      org.jasig.portal.utils.SmartCache.ValueWrapper

Enclosing class:
  SmartCache

    private class SmartCache.ValueWrapper

extends java.lang.Object

Field Summary
`private long` | `lCacheInterval`
`private long` | `lCreationTime`
`private java.lang.Object` | `oValue`

Constructor Summary
`protected` | `SmartCache.ValueWrapper(java.lang.Object oValue)`
`protected` | `SmartCache.ValueWrapper(java.lang.Object oValue, long lCacheInterval)`

Method Summary
`protected long` | `getCacheInterval()`
`protected long` | `getCreationTime()`
`protected java.lang.Object` | `getValue()`
`protected void` | `setCacheInterval(long lCacheInterval)`
`protected void` | `setCreationTime(long lCreationTime)`
`protected void` | `setValue(java.lang.Object oValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lCreationTime

    private long lCreationTime

### lCacheInterval

    private long lCacheInterval

### oValue

    private java.lang.Object oValue

Constructor Detail

### SmartCache.ValueWrapper

    protected SmartCache.ValueWrapper(java.lang.Object oValue)

### SmartCache.ValueWrapper

    protected SmartCache.ValueWrapper(java.lang.Object oValue,
                                      long lCacheInterval)

Method Detail

### getValue

    protected java.lang.Object getValue()

### setValue

    protected void setValue(java.lang.Object oValue)

### getCreationTime

    protected long getCreationTime()

### setCreationTime

    protected void setCreationTime(long lCreationTime)

### getCacheInterval

    protected long getCacheInterval()

### setCacheInterval

    protected void setCacheInterval(long lCacheInterval)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD